Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class TldRuleSet

    java.lang.Object
      |
      +--org.apache.commons.digester.RuleSetBase
            |
            +--org.apache.catalina.startup.TldRuleSet

All Implemented Interfaces:
  org.apache.commons.digester.RuleSet

public class TldRuleSet
extends org.apache.commons.digester.RuleSetBase

RuleSet for processing the contents of a tag library descriptor resource.

Version:
  $Revision: 1.1 $ $Date: 2001/10/17 00:44:02 $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `prefix` The matching pattern prefix to use for recognizing our elements.

Fields inherited from class org.apache.commons.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`TldRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`TldRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` | `addRuleInstances(org.apache.commons.digester.Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

Methods inherited from class org.apache.commons.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

Constructor Detail

### TldRuleSet

    public TldRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### TldRuleSet

    public TldRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(org.apache.commons.digester.Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Specified by:
    `addRuleInstances` in interface `org.apache.commons.digester.RuleSet`
  Specified by:
    `addRuleInstances` in class `org.apache.commons.digester.RuleSetBase`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.